---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libagentthr001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4E0A8, symBinAddr: 0xC2F8, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4FFE8, symBinAddr: 0xE238, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x503D0, symBinAddr: 0xE620, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x51370, symBinAddr: 0xF5C0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x51378, symBinAddr: 0xF5C8, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4DBF0, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4DBF4, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4DBF8, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4DD48, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4DE00, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4DE04, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4DE08, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4DE0C, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4DE10, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4DE18, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4DE30, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4DE38, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4DE40, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4DE48, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4DE50, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4DE92, symBinAddr: 0xC19A, symSize: 0x0 }
  - { offsetInCU: 0x90B5, offset: 0x90B5, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4DE94, symBinAddr: 0xC19C, symSize: 0x0 }
  - { offsetInCU: 0x90D5, offset: 0x90D5, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x4DE98, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x90EE, offset: 0x90EE, size: 0x8, addend: 0x0, symName: __ZL16thr1_was_started, symObjAddr: 0x4DE9C, symBinAddr: 0xC1A4, symSize: 0x0 }
  - { offsetInCU: 0x910E, offset: 0x910E, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4DEA0, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9127, offset: 0x9127, size: 0x8, addend: 0x0, symName: __ZL8cpu_lock, symObjAddr: 0x4DEA8, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9140, offset: 0x9140, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4DEB0, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9159, offset: 0x9159, size: 0x8, addend: 0x0, symName: __ZL5count, symObjAddr: 0x4DFE8, symBinAddr: 0xC2F0, symSize: 0x0 }
  - { offsetInCU: 0x91AB, offset: 0x91AB, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x4174, symSize: 0xA0 }
  - { offsetInCU: 0x9240, offset: 0x9240, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x414C, symSize: 0x28 }
  - { offsetInCU: 0x92A3, offset: 0x92A3, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x40CC, symSize: 0x80 }
  - { offsetInCU: 0x9537, offset: 0x9537, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x4214, symSize: 0x20C }
  - { offsetInCU: 0x96F0, offset: 0x96F0, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x4420, symSize: 0x28 }
  - { offsetInCU: 0x97B9, offset: 0x97B9, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x4448, symSize: 0xB0 }
  - { offsetInCU: 0x98B0, offset: 0x98B0, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x44F8, symSize: 0xD8 }
  - { offsetInCU: 0x9A01, offset: 0x9A01, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x45D0, symSize: 0x24 }
  - { offsetInCU: 0x9AF0, offset: 0x9AF0, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x45F4, symSize: 0x168 }
  - { offsetInCU: 0x9CCC, offset: 0x9CCC, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x475C, symSize: 0x104 }
  - { offsetInCU: 0x9E49, offset: 0x9E49, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x4860, symSize: 0x154 }
  - { offsetInCU: 0xA02D, offset: 0xA02D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x49B4, symSize: 0xAC }
  - { offsetInCU: 0xA102, offset: 0xA102, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x4A60, symSize: 0x14 }
  - { offsetInCU: 0xA13B, offset: 0xA13B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x4A74, symSize: 0x14 }
  - { offsetInCU: 0xA174, offset: 0xA174, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x4A88, symSize: 0x14 }
  - { offsetInCU: 0xA2F1, offset: 0xA2F1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x4A9C, symSize: 0x1A8 }
  - { offsetInCU: 0xA605, offset: 0xA605, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x4C44, symSize: 0x9C }
  - { offsetInCU: 0xA6C2, offset: 0xA6C2, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x4CE0, symSize: 0x690 }
  - { offsetInCU: 0xB254, offset: 0xB254, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x8E90, symBinAddr: 0x5BD8, symSize: 0x30 }
  - { offsetInCU: 0xB2E0, offset: 0xB2E0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x5370, symSize: 0x74 }
  - { offsetInCU: 0xB370, offset: 0xB370, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x53E4, symSize: 0xB0 }
  - { offsetInCU: 0xB47B, offset: 0xB47B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x5494, symSize: 0x3C }
  - { offsetInCU: 0xB571, offset: 0xB571, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x54D0, symSize: 0x29C }
  - { offsetInCU: 0xB8B4, offset: 0xB8B4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x576C, symSize: 0xD0 }
  - { offsetInCU: 0xB9E2, offset: 0xB9E2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x583C, symSize: 0xC }
  - { offsetInCU: 0xBAA4, offset: 0xBAA4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x5848, symSize: 0x22C }
  - { offsetInCU: 0xBD5F, offset: 0xBD5F, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5A74, symSize: 0x4 }
  - { offsetInCU: 0xBDA3, offset: 0xBDA3, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5A74, symSize: 0x4 }
  - { offsetInCU: 0xBDBC, offset: 0xBDBC, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5A78, symSize: 0x15C }
  - { offsetInCU: 0xBF4E, offset: 0xBF4E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E28, symBinAddr: 0x5BD4, symSize: 0x4 }
  - { offsetInCU: 0xBF92, offset: 0xBF92, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E28, symBinAddr: 0x5BD4, symSize: 0x4 }
  - { offsetInCU: 0xBFAB, offset: 0xBFAB, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0x8EC0, symBinAddr: 0x5C08, symSize: 0x84 }
  - { offsetInCU: 0xC08B, offset: 0xC08B, size: 0x8, addend: 0x0, symName: _ThreadStart, symObjAddr: 0x8F44, symBinAddr: 0x5C8C, symSize: 0x2A4 }
  - { offsetInCU: 0xC4CC, offset: 0xC4CC, size: 0x8, addend: 0x0, symName: __ZL12sys_thread_1P9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x91E8, symBinAddr: 0x5F30, symSize: 0x160 }
  - { offsetInCU: 0xC6D2, offset: 0xC6D2, size: 0x8, addend: 0x0, symName: __ZL12sys_thread_2P9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9348, symBinAddr: 0x6090, symSize: 0x100 }
  - { offsetInCU: 0xC7F6, offset: 0xC7F6, size: 0x8, addend: 0x0, symName: __ZL12sys_thread_3P9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9448, symBinAddr: 0x6190, symSize: 0x28 }
  - { offsetInCU: 0xC83E, offset: 0xC83E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RunAgentThread_agentthr001_startSysThr, symObjAddr: 0x9470, symBinAddr: 0x61B8, symSize: 0xCC }
  - { offsetInCU: 0xC9B6, offset: 0xC9B6, size: 0x8, addend: 0x0, symName: __ZL12sys_thread_5P9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x953C, symBinAddr: 0x6284, symSize: 0x100 }
  - { offsetInCU: 0xCAD9, offset: 0xCAD9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RunAgentThread_agentthr001_isOver, symObjAddr: 0x963C, symBinAddr: 0x6384, symSize: 0x14 }
  - { offsetInCU: 0xCB12, offset: 0xCB12, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RunAgentThread_agentthr001_getRes, symObjAddr: 0x9650, symBinAddr: 0x6398, symSize: 0xE8 }
  - { offsetInCU: 0xCBB8, offset: 0xCBB8, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9738, symBinAddr: 0x6480, symSize: 0x358 }
  - { offsetInCU: 0xD199, offset: 0xD199, size: 0x8, addend: 0x0, symName: __ZL12sys_thread_4P9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9A90, symBinAddr: 0x67D8, symSize: 0x100 }
...
